/*
 Theme Name:     #ANCHORDOWN Child - DOS
 Description:    DOS
 Author:         Vanderbilt Web Communications
 Author URI:     http://web.vanderbilt.edu
 Template:       ANCHORDOWN-Vanderbilt
 Version:        1.0.0
*/

/* 
######################  
    STAFF DIRECTORY  
######################
*/

.directory-search {
    font-size: .85rem;
}

.directory-search label {
    font-weight: normal;
}

.directory-search input {
    margin-right: 20px;
}

.directory-search button,
.directory-search button:hover,
.directory-search button:focus,
.directory-search button:active {
    color: #333;
}

/* To prevent FOUC */
.js #directoryContainer {
    opacity: 0;
    -webkit-transition: opacity .15s linear;
    -o-transition: opacity .15s linear;
    transition: opacity .15s linear;
}

#anchordown .btn {
    white-space: nowrap;
}

#directoryNav .btn-link {
    display: inline-block;
    margin: -0.9375em 0 1.875em 0;
}




/*
==================
    Navigation
==================
*/

.directory-browse {
    margin-top: 15px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    padding: 10px 15px;
    background-color: #F6F6F6;
}

.directory-browse a:link,
.directory-browse a:visited {
    white-space: nowrap;
    transition: all 0.2s ease-in-out 0s;
    text-decoration: none;
    color: #5A5A5A;
    border: 1px solid #e3e3e3;
    padding: 6px 10px;
    font-size: .85rem;
    line-height: 2.8;
    background-color: #fff;
}


/*
==================
  Lists of People
==================
*/

.directory-container {
    display: flex;
    flex-wrap: wrap;
}

.directory-browse a:active,
.directory-browse a.current {
    border: 1px solid #336699;
}

.directory-entry {
    background-color: #f5f5f5;
    margin-bottom: 1.5625rem;
    overflow: hidden;
    width: 100%;
}

@media only screen and (min-width: 48em) and (max-width: 61.9375em) {
    .directory-entry {
        width: calc(100%/3 - 0.9375rem);
        margin-right: 1.125rem;
    }

    .directory-entry:nth-child(3n+3) {
        margin-right: 0;
    }
}

@media only screen and (min-width: 62em) and (max-width: 74.9375em) {
    .directory-entry {
        width: calc(100%/4 - 0.9375rem);
        margin-right: 1.125rem;
    }

    .directory-entry:nth-child(4n+4) {
        margin-right: 0;
    }
}

@media only screen and (min-width: 75em) {
    .directory-entry {
        width: calc(100%/5 - 0.9375rem);
        margin-right: 1.125rem;
    }

    .directory-entry:nth-child(5n+5) {
        margin-right: 0;
    }
}

.directory-entry .headshot {
    display: none;
    margin: 0 auto;
}

@media only screen and (min-width: 48em) {
    .directory-entry .headshot {
        display: block;
    }
}

.directory-entry .directory-name {
    font-weight: 700;
    margin-bottom: 0.125rem;
    padding: 0 0.625rem;
}

.directory-entry a:hover,
.directory-entry a:active {
    text-decoration: underline;
}

.directory-title {
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.5;
    margin-bottom: 0.9375rem;
}

@media only screen and (max-width: 47.9375em) {

    .directory-name,
    .directory-title {
        text-align: left;
    }
}

.directory-info-container {
    padding: 0 0.625rem;
}

.directory-info {
    border-top: 1px solid hsl(0, 0%, 75%);
    list-style-type: none;
    margin-bottom: 0.9375rem;
    padding: 0.9375rem 0 0 0;
}

.directory-info li {
    margin-bottom: 0.5rem;
}

.directory-info i {
    color: hsl(0, 0%, 45%);
    margin-right: 0.5rem;
}



/* 
######################  
    STAFF BIOGRAPHY  
######################
*/

#maincontent #profile-basics {background-color: #fff;}

.vu-main-content .panel-body > .row,
#profile-basics section {
  margin-bottom: 1.875rem;
}

#profile-basics i {
  color: hsl(0, 0%, 40%);
  margin-right: 0.5rem;
}

#profile-basics img {margin-bottom: 1rem;}

.vu-main-content h2,
.vu-main-content h3 {
  margin-bottom: 0.5rem;
}

#profile-heading .profile-fullname {
  font-weight: 700;
}

.profile-subtitle {
  font-weight: 400;
  margin: 0;
}

.directory-nav {
  display: flex;
  flex-wrap: wrap;
  clear: both;
}

.directory-nav .btn {
  margin-bottom: 0.9375rem;
  flex: 1 0 100%;
}

@media only screen and (min-width: 48em) {
  .directory-nav {
    justify-content: space-between;
  }

  .directory-nav .btn {
    flex: 0 0 auto;
  }
}

@media only screen and (max-width: 47.9375em) {
  .text-center-xs {
    text-align: center;
  }
}
